/*
 * File:     StepTest.java
 * Project:  MPI Linguistic Application
 * Date:     03 April 2006
 *
 * Copyright (C) 2001-2006  Max Planck Institute for Psycholinguistics
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package mpi.eudico.client.annotator.gui.multistep;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JDialog;


/**
 * StepTest
 *
 * @author Han Sloetjes
 */
public class StepTest {
    /**
     * Creates a new StepTest instance
     */
    public StepTest() {
        MultiStepPane pane = new MultiStepPane();
        StepPane step = new StepPane(pane);
        step.setBackground(Color.cyan);
        step.setPreferredSize(new Dimension(400, 300));
        step.setMinimumSize(new Dimension(400, 300));
        pane.addStep(step);

        StepPane step2 = new StepPane(pane);
        step2.setBackground(Color.magenta);
        pane.addStep(step2);

        JDialog dialog = pane.createDialog(new JDialog(), "Step test", true);
        dialog.pack();
        dialog.setVisible(true);

        //pane.nextStep();
        //pane.revalidate();
    }

    /**
     * DOCUMENT ME!
     *
     * @param args DOCUMENT ME!
     */
    public static void main(String[] args) {
        new StepTest();
        System.exit(0);
    }
}
